diff mini-native.sh @ 358:9829e6cc8637

Update busybox from 1.2.2 to 1.11.0. Toybox i still used for oneit and patch, but otherwise disabled for the moment. I'll put it back in a bit, but waiting until toybox is ready to replace busybox makes as much sense as waiting until tinycc is ready to replace gcc. Get it working first, then swap parts around...
author Rob Landley <rob@landley.net>
date Sun, 06 Jul 2008 06:19:15 -0500
parents 7f529baf0b57
children 2c5b02b47c8e
line wrap: on
line diff
--- a/mini-native.sh	Sun Jul 06 04:51:05 2008 -0500
+++ b/mini-native.sh	Sun Jul 06 06:19:15 2008 -0500
@@ -54,8 +54,12 @@
 setupfor toybox
 
 make defconfig &&
-make install_flat PREFIX="${TOOLS}"/bin CROSS="${ARCH}-" &&
-rm "${TOOLS}"/bin/sh &&  # Bash won't install if this exists.
+#make install_flat PREFIX="${TOOLS}"/bin CROSS="${ARCH}-" &&
+#rm "${TOOLS}"/bin/sh &&  # Bash won't install if this exists.
+make CROSS="${ARCH}-" &&
+cp toybox "$TOOLS/bin" &&
+ln -s toybox "$TOOLS/bin/patch" &&
+ln -s toybox "$TOOLS/bin/oneit" &&
 cd ..
 
 cleanup toybox
@@ -63,15 +67,14 @@
 # Build and install busybox
 
 setupfor busybox
-cp "${SOURCES}/config-busybox" .config &&
-yes "" | make oldconfig &&
-#make defconfig &&
-make -j $CPUS CROSS="${ARCH}-" &&
+make allnoconfig KCONFIG_ALLCONFIG="${SOURCES}/config-busybox" .config &&
+make -j $CPUS CROSS_COMPILE="${ARCH}-" &&
+make busybox.links &&
 cp busybox "${TOOLS}/bin"
 [ $? -ne 0 ] && dienow
 for i in $(sed 's@.*/@@' busybox.links)
 do
-  ln -s busybox "${TOOLS}/bin/$i" || dienow
+  ln -s busybox "${TOOLS}/bin/$i" # || dienow
 done
 cd ..